Bug 130148 - Gallery drop-down list in Impress B&N dialog shows only start of full path instead item name
Summary: Gallery drop-down list in Impress B&N dialog shows only start of full path in...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Onur Yılmaz
URL:
Whiteboard: target:7.0.0 target:6.4.2 target:6.3.6
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Impress-Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2020-01-23 17:46 UTC by Roman Kuznetsov
Modified: 2020-02-10 19:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-01-23 17:46:56 UTC
Description:
Gallery drop-down list in Impress B&N dialog shows only start of full path instead item name

After fix of bug 126511 that list should show only item name and for Linux build it's so. But in windows build I see strange. See https://bugs.documentfoundation.org/attachment.cgi?id=157371

Steps to Reproduce:
1. Open Impress
2. Open Format->Bullets & Numbering
3. Select Graphics
4. Press Select Image -> Gallery
5. Look at item names (see screenshot by link above)

Actual Results:
Gallery drop-down list in Impress B&N dialog shows only start of full path instead item name

Expected Results:
Gallery drop-down list in Impress B&N dialog shows only item names


Reproducible: Always


User Profile Reset: No



Additional Info:
Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 08a0ede627fbf9bea42165c3de63812e469306b4
Потоков ЦП: 4; ОС:Windows 10.0 Build 17763; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 1 Xisco Faulí 2020-01-23 21:05:42 UTC
Not reproduced it in

Version: 7.0.0.0.alpha0+
Build ID: 5fd05b2d4a61af0e72cf75f465c4f6ad7b2f4cc9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Mike Kaganski 2020-01-24 06:59:45 UTC
Repro with Version: 7.0.0.0.alpha0+ (x64)
Build ID: 1940d99ab67db88d458fdcabb8fa0eaf12f1d49b
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: CL
Comment 3 Xisco Faulí 2020-01-24 10:11:41 UTC
so this is a WIN only issue, and I can reproduce it in

Versión: 6.4.0.2 (x86)
Id. de compilación: 08d19fecdc7a2298d051e19cfdb7c35544855fc3
Subprocs. CPU: 2; SO: Windows 6.1 Service Pack 1 Build 7601; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

and

Versión: 6.3.4.2 (x86)
Id. de compilación: 60da17e045e08f1793c57c00ba83cdfce946d0aa
Subprocs. CPU: 2; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

wondering if bug 126511 was ever fixed on windows. Checking...
Comment 4 Xisco Faulí 2020-01-24 10:17:06 UTC
so bug 126511 got fixed in 
https://git.libreoffice.org/core/+/7c973ea77438273deda909ce0563d8c5c37dad00%5E%21 but apparently only for Linux, I can reproduce the issue with the same commit

Versión: 6.4.0.2 (x86)
Id. de compilación: 08d19fecdc7a2298d051e19cfdb7c35544855fc3
Subprocs. CPU: 2; SO: Windows 6.1 Service Pack 1 Build 7601; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 5 Heiko Tietze 2020-01-24 10:25:20 UTC
lastIndexOf("/"); and getToken(0, '.', last); needs to get adjusted for Windows style path with an ifdef compiler statement. Should be easyhackable.
Comment 6 Commit Notification 2020-02-08 09:26:18 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5088e6d34b0ffba423f8633ee83673a9c1d40036

tdf#130148 Gallery drop-down list in Impress B&N dialog shows only start...

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-02-10 09:41:48 UTC
Verified in

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 121fb94b7857c8bcba27c9715374328e965bece2
CPU threads: 16; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-US
Calc: threaded

@Onur, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-02-10 11:41:22 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/153dafe1147bc29fc0e656d0cb8994112ecea1a0

tdf#130148 Gallery drop-down list in Impress B&N dialog shows only start...

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-02-10 19:22:03 UTC
Onur Yilmaz committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/4328e3a449d11f1ebcaa91d7852ffdb984e01266

tdf#130148 Gallery drop-down list in Impress B&N dialog shows only start...

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.